aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-class-load/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-25 14:57:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-25 15:21:15 +0000
commit2b4091172ee6f8811e443a5d86f1e78f94293099 (patch)
tree297536d0eaaefac9b0b5b1b56704350645246bcd /main/perl-class-load/APKBUILD
parent5c349a324a7e462045f4bde5d3412f6991bc1ed3 (diff)
downloadaports-2b4091172ee6f8811e443a5d86f1e78f94293099.tar.gz
aports-2b4091172ee6f8811e443a5d86f1e78f94293099.tar.bz2
aports-2b4091172ee6f8811e443a5d86f1e78f94293099.tar.xz
main/perl-class-load: upgrade to 0.22
Diffstat (limited to 'main/perl-class-load/APKBUILD')
-rw-r--r--main/perl-class-load/APKBUILD22
1 files changed, 11 insertions, 11 deletions
diff --git a/main/perl-class-load/APKBUILD b/main/perl-class-load/APKBUILD
index e86e647962..374540b40c 100644
--- a/main/perl-class-load/APKBUILD
+++ b/main/perl-class-load/APKBUILD
@@ -2,39 +2,39 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-class-load
_pkgreal=Class-Load
-pkgver=0.21
+pkgver=0.22
pkgrel=0
-pkgdesc="a working (require "Class::Name") and more"
+pkgdesc="A working (require "Class::Name") and more"
url="http://search.cpan.org/dist/Class-Load/"
arch="noarch"
license="GPL PerlArtistic"
-cpandepends="perl-try-tiny perl-module-runtime perl-package-stash perl-data-optlist perl-module-implementation"
-cpanmakedepends="perl-test-fatal perl-test-requires "
+cpandepends="perl-data-optlist perl-module-runtime perl-module-implementation perl-try-tiny perl-namespace-clean perl-package-stash"
+cpanmakedepends=" perl-test-fatal perl-test-requires "
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Class-Load-$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/$_pkgreal-$pkgver.tar.gz"
_builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+ perl Build.PL installdirs=vendor || return 1
}
build() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- make && make test
+ ./Build && ./Build test
}
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ ./Build install destdir="$pkgdir" || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="67674318b7b47b519abfd9f16292dc35 Class-Load-0.21.tar.gz"
-sha256sums="10d9bae402f7e67ef441af1d7222c9d09c2b0818b81c6752c383a2d924c8047c Class-Load-0.21.tar.gz"
-sha512sums="7744f1ed4893f6ddb3e9ceaf8e161994d3dc2a02eb66cf95bddcfd4dc4edefee4fca2af599a3387f74fdc94c262456bd017bd4708bc6fbf8c14e583435ff0daa Class-Load-0.21.tar.gz"
+md5sums="ad59087e70b0df76d718c90b53e209d5 Class-Load-0.22.tar.gz"
+sha256sums="be52db6081b565002d68a1578ed06c7777b8845e92597be47f1c22e90b123111 Class-Load-0.22.tar.gz"
+sha512sums="1f61c9ffd0c7d854c830143109f0b0f98a3f9666971d3f0b2567fd97f7aa703bf0bc9f7342f0489d90ac4765d90695a5783f822458e0eb9a6f5cf4c98b465da4 Class-Load-0.22.tar.gz"